osl::effect::NumBitmapEffect Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Types | Public Member Functions | Static Public Member Functions | Static Private Member Functions | List of all members
osl::effect::NumBitmapEffect Class Reference

現在の定義 (2005/3/4以降) More...

`#include <numBitmapEffect.h>`

Inheritance diagram for osl::effect::NumBitmapEffect:
[legend]
Collaboration diagram for osl::effect::NumBitmapEffect:
[legend]

## Public Types
enum | Op { Add, Sub }

## Public Member Functions
| NumBitmapEffect ()
int | countEffect (Player pl) const
NumBitmapEffect & | opEqual (NumBitmapEffect const &rhs, misc::Int2Type< Add >)
NumBitmapEffect & | opEqual (NumBitmapEffect const &rhs, misc::Int2Type< Sub >)
template<Op OP>
NumBitmapEffect & | opEqual (NumBitmapEffect const &rhs)
const mask_t | selectLong () const
bool | hasLong () const
template<Ptype PTYPE>
const mask_t | selectLong () const
template<Ptype PTYPE>
bool | hasLong () const
template<Ptype PTYPE>
bool | hasAny () const

## Static Public Member Functions
template<Player P>
static NumBitmapEffect | playerEffect ()
static NumBitmapEffect | playerEffect (Player pl)
template<Player P>
static mask_t | playerEffectMask ()
static mask_t | playerEffectMask (Player pl)
template<Player P>
static NumBitmapEffect | makeEffect (int num)
static const mask_t | longEffectMask ()
static const mask_t | makeLongMask (int num)
template<Player P>
static NumBitmapEffect | makeLongEffect (int num)
static NumBitmapEffect | makeLongEffect (Player pl, int num)

## Static Private Member Functions
static NumBitmapEffect | playerEffect (misc::Int2Type< BLACK >)
static NumBitmapEffect | playerEffect (misc::Int2Type< WHITE >)
static mask_t | playerEffectMask (misc::Int2Type< BLACK >)
static mask_t | playerEffectMask (misc::Int2Type< WHITE >)

## Detailed Description

現在の定義 (2005/3/4以降)

- 0-39 : 0-39の利き
- 40-47 : 32-39の長い利き
- 48-53 : 黒の利きの数(sentinelを合わせて6bit)
- 54-59 : 白の利きの数(sentinelを合わせて6bit)

以前の定義 (2004/4/13以降)

- 0-39 : 0-39の利き
- 40-47 : 32-39の長い利き

以前の定義

- 0-31 : 0-31の直接効き
- 32-39 : 32-39の短い効き(obsolete および32-39の短い間接効き)
- 40-47 : 32-39の長い効き(obsoleteおよび32-39の長い間接効き)

Definition at line 29 of file numBitmapEffect.h.

## Member Enumeration Documentation

enum osl::effect::NumBitmapEffect::Op

Enumerator
Add |
Sub |

Definition at line 106 of file numBitmapEffect.h.

## Constructor & Destructor Documentation

osl::effect::NumBitmapEffect::NumBitmapEffect | ( | ) |  |
| inline

Definition at line 54 of file numBitmapEffect.h.

## Member Function Documentation

int osl::effect::NumBitmapEffect::countEffect | ( | Player | pl) |  | const
| inline

Definition at line 92 of file numBitmapEffect.h.

template<Ptype PTYPE>

bool osl::effect::NumBitmapEffect::hasAny | ( | ) |  | const
| inline

Definition at line 172 of file numBitmapEffect.h.

bool osl::effect::NumBitmapEffect::hasLong | ( | ) |  | const
| inline

Definition at line 159 of file numBitmapEffect.h.

References selectLong().

template<Ptype PTYPE>

bool osl::effect::NumBitmapEffect::hasLong | ( | ) |  | const
| inline

Definition at line 168 of file numBitmapEffect.h.

static const mask_t osl::effect::NumBitmapEffect::longEffectMask | ( | ) |  |
| inlinestatic

Definition at line 124 of file numBitmapEffect.h.

Referenced by selectLong().

template<Player P>

static NumBitmapEffect osl::effect::NumBitmapEffect::makeEffect | ( | int | num) |  |
| inlinestatic

Definition at line 101 of file numBitmapEffect.h.

template<Player P>

static NumBitmapEffect osl::effect::NumBitmapEffect::makeLongEffect | ( | int | num) |  |
| inlinestatic

Definition at line 141 of file numBitmapEffect.h.

References makeLongMask().

static NumBitmapEffect osl::effect::NumBitmapEffect::makeLongEffect | ( | Player | pl,
|  | int | num
| ) |  |
| inlinestatic

Definition at line 147 of file numBitmapEffect.h.

References makeLongMask(), and playerEffect().

static const mask_t osl::effect::NumBitmapEffect::makeLongMask | ( | int | num) |  |
| inlinestatic

Definition at line 136 of file numBitmapEffect.h.

Referenced by makeLongEffect().

NumBitmapEffect& osl::effect::NumBitmapEffect::opEqual | ( | NumBitmapEffect const & | rhs,
|  | misc::Int2Type< Add > |
| ) |  |
| inline

Definition at line 109 of file numBitmapEffect.h.

Referenced by opEqual().

NumBitmapEffect& osl::effect::NumBitmapEffect::opEqual | ( | NumBitmapEffect const & | rhs,
|  | misc::Int2Type< Sub > |
| ) |  |
| inline

Definition at line 114 of file numBitmapEffect.h.

template<Op OP>

NumBitmapEffect& osl::effect::NumBitmapEffect::opEqual | ( | NumBitmapEffect const & | rhs) |  |
| inline

Definition at line 120 of file numBitmapEffect.h.

References opEqual().

static NumBitmapEffect osl::effect::NumBitmapEffect::playerEffect | ( | misc::Int2Type< BLACK > | ) |  |
| inlinestaticprivate

Definition at line 32 of file numBitmapEffect.h.

static NumBitmapEffect osl::effect::NumBitmapEffect::playerEffect | ( | misc::Int2Type< WHITE > | ) |  |
| inlinestaticprivate

Definition at line 37 of file numBitmapEffect.h.

template<Player P>

static NumBitmapEffect osl::effect::NumBitmapEffect::playerEffect | ( | ) |  |
| inlinestatic

Definition at line 58 of file numBitmapEffect.h.

Referenced by makeLongEffect().

static NumBitmapEffect osl::effect::NumBitmapEffect::playerEffect | ( | Player | pl) |  |
| inlinestatic

Definition at line 61 of file numBitmapEffect.h.

References osl::BLACK, and osl::WHITE.

static mask_t osl::effect::NumBitmapEffect::playerEffectMask | ( | misc::Int2Type< BLACK > | ) |  |
| inlinestaticprivate

Definition at line 42 of file numBitmapEffect.h.

static mask_t osl::effect::NumBitmapEffect::playerEffectMask | ( | misc::Int2Type< WHITE > | ) |  |
| inlinestaticprivate

Definition at line 47 of file numBitmapEffect.h.

template<Player P>

static mask_t osl::effect::NumBitmapEffect::playerEffectMask | ( | ) |  |
| inlinestatic

Definition at line 73 of file numBitmapEffect.h.

Referenced by osl::effect::NumSimpleEffectTable::doEffectLong(), and osl::effect::NumSimpleEffectTable::doEffectShort().

static mask_t osl::effect::NumBitmapEffect::playerEffectMask | ( | Player | pl) |  |
| inlinestatic

Definition at line 76 of file numBitmapEffect.h.

References osl::BLACK, and osl::WHITE.

const mask_t osl::effect::NumBitmapEffect::selectLong | ( | ) |  | const
| inline

Definition at line 155 of file numBitmapEffect.h.

References longEffectMask().

Referenced by hasLong(), and selectLong().

template<Ptype PTYPE>

const mask_t osl::effect::NumBitmapEffect::selectLong | ( | ) |  | const
| inline

Definition at line 163 of file numBitmapEffect.h.

References selectLong().

The documentation for this class was generated from the following file:

- numBitmapEffect.h